const { arch, platform } = require("process");

const getBinaryPath = () => {
  const hostPackage = `@netlify/local-functions-proxy-${platform}-${arch}`;

  try {
    const { optionalDependencies } = require("./package.json");

    if (optionalDependencies[hostPackage] === undefined) {
      return null;
    }

    const { binaryPath } = require(hostPackage);

    return binaryPath;
  } catch (error) {
    console.error(`Could not load ${hostPackage}:`, error.message);

    return null;
  }
};

module.exports = {
  getBinaryPath,
};
